Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build.coverage
Class ViewCloverCoverageSummary

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.webwork.AbstractAction
                  com.atlassian.bamboo.build.AbstractBuildAction
                      com.atlassian.bamboo.build.coverage.ViewCloverCoverageSummary

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, BuildAware, ResultsListAware, ReturnUrlAware

    public class ViewCloverCoverageSummary

extends AbstractBuildAction
implements ResultsListAware

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ViewCloverCoverageSummary()`

Method Summary
`String` | `doViewCoverage()`
`String` | `doViewLinesOfCode()`
`String` | `execute()`
`XYDataset` | `getDataset()`
`FilterController` | `getFilterController()`
`PluginManager` | `getPluginManager()`
`String` | `getReportKey()`
`List` | `getResultsList()`
`void` | `setDataset(XYDataset dataset)`
`void` | `setFilterController(FilterController filterController)`
`void` | `setPluginManager(PluginManager pluginManager)`
`void` | `setReportKey(String reportKey)`
`void` | `setResultsList(List resultsList)`

Methods inherited from class com.atlassian.bamboo.build.AbstractBuildAction
`getBuild, getBuildKey, getBuildName, getCurrentlyRunningBuild, getPluginMenuItems, setBuild, setBuildKey, setBuildName`

Methods inherited from class com.atlassian.bamboo.webwork.AbstractAction
`addFormErrors, doDefault, doExecute, getAction, getAdministrationConfiguration, getBamboo, getBaseUrl, setAdministrationConfiguration, validate`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.ww2.aware.BuildAware
`getBuild, setBuild`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### ViewCloverCoverageSummary

    public ViewCloverCoverageSummary()

Method Detail

### doViewCoverage

    public String doViewCoverage()
                          throws Exception

  Throws:
    `Exception`

### doViewLinesOfCode

    public String doViewLinesOfCode()
                             throws Exception

  Throws:
    `Exception`

### execute

    public String execute()
                   throws Exception

  Overrides:
    `execute` in class `AbstractAction`
  Throws:
    `Exception`

### getResultsList

    public List getResultsList()

  Specified by:
    `getResultsList` in interface `ResultsListAware`

### setResultsList

    public void setResultsList(List resultsList)

  Specified by:
    `setResultsList` in interface `ResultsListAware`

### getDataset

    public XYDataset getDataset()

### setDataset

    public void setDataset(XYDataset dataset)

### getReportKey

    public String getReportKey()

### setReportKey

    public void setReportKey(String reportKey)

### getPluginManager

    public PluginManager getPluginManager()

  Overrides:
    `getPluginManager` in class `AbstractBuildAction`

### setPluginManager

    public void setPluginManager(PluginManager pluginManager)

  Overrides:
    `setPluginManager` in class `AbstractBuildAction`

### getFilterController

    public FilterController getFilterController()

### setFilterController

    public void setFilterController(FilterController filterController)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.